Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.RootNode

class smallpond.logical.node.RootNode(ctx: Context, input_deps: Tuple[ Node , ...])

  A virtual node that assembles multiple nodes and outputs nothing.

  __init__(ctx: Context, input_deps: Tuple[ Node , ...])

    Assemble multiple nodes into a root node.

  Methods

  `__init__`(ctx, input_deps) | Assemble multiple nodes into a root node.
  `add_perf_metrics`(name, value) |
  `create_task`(runtime_ctx, input_deps, ...) |
  `get_perf_stats`(name) |
  `slim_copy`() |
  `task_factory`(task_builder) |

  Attributes

  `enable_resource_boost` |
  `num_partitions` |